
	<script>
	var util = { };

document.addEventListener('keydown', function(e){

    var key = util.key[e.which];
    if( key ){
        e.preventDefault();
    }

   if( key === 'F5' ){        
  return  printDiv('printableArea');
    }
  if( key === 'F6' ){        
  window.location.href = "../user/viewlease";
    }

	 if( key === 'enter' ){        
return true;
    }
	
   
	
	
})


  
util.key = { 
  9: "tab",
  //13: "enter",
  16: "shift",
  12: "alt",
  27: "esc",
  33: "rePag",
  34: "avPag",
  35: "end",
  36: "home",
  37: "left",
  38: "up",
  39: "right",
  40: "down",
  112: "F1",
  113: "F2",
  114: "F3",
  115: "F4",
  116: "F5",
  117: "F6",
  112: "F7",
  119: "F8",
  120: "F9",
  121: "F10",
  122: "F11",
  123: "F12"
}
 

	</script>
<script>
	function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

     document.body.innerHTML = printContents.fontsize(16);
     window.print();

	 if( window.print()) {
         window.location.href = "../user/viewsales";
		alert(" printing...........");
    }else {

	
		      return      window.location.href = "../user/viewsales";

		    // document.body.innerHTML = originalContents;

	}
}
	</script>
 
  <style type="text/css">
  
  	
  .invoice-box table tr.heading td {
        background: #eee;
        border-bottom: 1px solid #ddd;
        font-weight: bold;
		
		
    }
  
  #printable { display: none; }
#print{  	


    background-repeat: no-repeat;
	font-size;20px;
  
    width:100%; height:50px;


}

#sale{  	
background-image:url(images/add.png) ;

    background-repeat: no-repeat;
  
    width:100px; height:50px;


}
    @media print
    {
    	#non-printable { display: none; }
    	#printableArea { display: block; font-size:18; width:100%; }
    }
    </style>
<?PHP

 echo $this->session->flashdata('imagemsg1'); 
		 
		    
$session_data = $this->session->userdata('logged_in');


$data['surname'] = $session_data['surname'];
$data['id'] = $session_data['id'];

$surname=$data['surname'];
   $userid=$data['id'];

   $myuser=$this->usermodel->geteuser($userid);
   $myname=$myuser[0]['firstname'];
    $postedtime = date('Y-m-d');
		$currenttime = date('h:i:sa');
 		$dateposted =  ($postedtime)." ".$currenttime ;	

function formatMoney($number, $fractional=false) {
						if ($fractional) {
							$number = sprintf('%.2f', $number);
						}
						while (true) {
							$replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
							if ($replaced != $number) {
								$number = $replaced;
							} else {
								break;
							}
						}
						return $number;
					}	

 $displaycode=$this->usermodel->populatuserpermissionsdataarray('config','productcode',$userid);

					
?>
 
 <div class="row">

 

   	<div class="col-md-12">
		 <div class="pull-right" id="non-printable"  >
<form name="print" method="post" action="">
 <input type="submit" id="print"  accesskey="p" class="btn btn-primary"  name="print"onclick="printDiv('printableArea')" value="Print Receipt!" />
                   
 
 </form>
 <a href="<?php echo base_url(); ?>user/openorders">Go Back </a>

 </div>
  	
			<div class="table-responsive" id="printableArea" style="width:100%" >
						<table border="0" width="100%">
				<tr >
					<td colspan="3">
					</td>
					<td colspan="2">
									<h2 style="margin:0px;"> FUEL  ORDER 	</h2>


			
					</td>
					</tr>
						<tr>
						<td colspan="2">
						<table>
						<tr><td >
<?php
 $session_data = $this->session->userdata('logged_in');

   
 	$data['id'] = $session_data['id'];
        
		 $userid = $data['id'];
$data['companyid'] = $session_data['companyid'];
	 $companyid = $data['companyid'];
		 $data['usertype'] = $session_data['usertype'];
	 $usertype = $data['usertype'];	

								$profile = $this->usermodel->populateall('smsconfig','id',$companyid);

	
		if(!is_array($profile)) 

 {
	 $this->session->set_flashdata('msg', '<div class="alert alert-danger fade in">
						 <a href="#" class="close" data-dismiss="alert">&times;</a><strong>Error!</strong>Upload photo</div>');
							

    }else {

    
          
  	foreach ($profile as $c): 
$photo= $c->logo;
		 	if($photo!=""){
		 
		 
		
		
	
			
		
		$img=$c->logo;
	
		$img1='uploads/';
	$url = base_url().$img1.$img;

 
 ?>
 <div >
<img class="img-circle" src="<?php echo $url ?>" height="100" width="100" style="border-radius:4px;margin:20px  ">		 

</div>



	 <?php }else{
		 ?>

				<?php
	 }
		 endforeach; ?>

              <?php }?>
						
						</td><td>
						
				
						<?php $description=$configuration[0]['description']; if(isset($description)) {echo   $description; }?>
							
						
						
						</td>
						</tr>
						</table>
						</td>
						
						
						<td colspan="4">
					<b>
											<H2>Order  No: <?php echo$viewreceipt[0]['id'];?></H2>

		 Date:  <?php echo$viewreceipt[0]['createdate'];?><BR>
		 
					 Last Fuel Date:  <?php echo$viewreceipt[0]['previoufueldate'];?><BR>
					  Previous Fuel :  <?php echo$viewreceipt[0]['previousfuelused'];?><BR>
					     Fuel Adjusted :  <?php echo$viewreceipt[0]['adjusted'];?><BR>
						     Exact Fuel Remaining :  <?php echo$viewreceipt[0]['fuel'];?><BR>
						Sales Person:  <?php 
						
							$user=$this->usermodel->populateallarray('people','id', $userid);
						echo$names=$user[0]['firstname'] ;
						
						
						?>		
					</b>	
						</td>
						
						</tr>
						
					<TR>
					<td colspan="6">
					<hr style="border-top: 2px solid gray;">

					</td>
					</TR>
						<tr>
						
					
						<td colspan="3">
						<B>Billing To:</B>
					
					<?php 
					echo$viewreceipt[0]['receiver'];
							

							?>
						
						
						</td>
						
							<td colspan="3">
						
				

						</td>
						
						
						
							</tr>
																				
																				
																				
																				</table >
							
												</table >
<br><br>
										<div class="invoice-box">
													<table border="1" class="height2" height="100%" style="width:100%; ">

							
						
							<tr  class="heading">
							<td><b>Reg No</b></td>
	 <td><b>Next Qty </td>	
			 <td><b>Qty  </td>				
	 <td><b>Start</td>		

	 <td><b>End </td>		

			<td><b>Description</b></td>					
							</tr>
					
						
				                    <tbody >
									
										 
												
											<tr   valign="top">
											
			
			<td><?php 
$people = $this->usermodel->populateallarray('people','id',$viewreceipt[0]['code']);
									echo $firstname=$people[0]["firstname"];
									echo " ".$company=$people[0]["company"];

			?></td>


		<td><?php echo $viewreceipt[0]['nextfuel']; ?></td>
	<td><?php echo $viewreceipt[0]['exactfuel']; ?></td>
	
	<td><?php echo $viewreceipt[0]['startdate']; ?></td>
	<td><?php
echo $viewreceipt[0]['closedate'];
?></td>
	
			<td><?php echo $viewreceipt[0]['description']; ?></td>
									
												
									
											</tr>
									

    
		
			  
			  
				
								
								<tr>
								<td colspan="2"> 

								
								
					

							
							
							</td>
								
								<td colspan="4"> 

								
								
							<H3 class="pull-right">
															
							Name:-----------------------------								Signature:----------------------
											</H3>

							
							
							</td>
							
							</tr>
							
							
						
							
							
							
							
							
				
									</tbody>
									
									
					</table>
			<div>
	
					
					
					
					
				</div>
			</div>
			</div>
		</div>
  
  </div>
 </div>
 </div> 
			
			
		
		<script type="text/javascript">
$(window).load(function()
{
	 if( window.print()) {
         window.location.href = "../user/viewlease";
 }
});
</script>

















